//
//  MimeTypes.swift
//  CodyFire
//
//  Created by Mihael Isaev on 10.08.2018.
//

import Foundation

public enum MimeType: String {
    ///AAC audio file
    case aac = "audio/aac"
    ///AVI: Audio Video Interleave
    case avi = "video/x-msvideo"
    ///Any kind of binary data
    case bin = "application/octet-stream"
    ///BZip archive
    case bz = "application/x-bzip"
    ///BZip2 archive
    case bz2 = "application/x-bzip2"
    ///C-Shell script
    case csh = "application/x-csh"
    ///Cascading Style Sheets (CSS)
    case css = "text/css"
    ///Comma-separated values (CSV)
    case csv = "text/csv"
    ///Microsoft Word
    case doc = "application/msword"
    ///MS Embedded OpenType fonts
    case eot = "application/vnd.ms-fontobject"
    ///Electronic publication (EPUB)
    case epub = "application/epub+zip"
    ///Graphics Interchange Format (GIF)
    case gif = "image/gif"
    ///HyperText Markup Language (HTML)
    case html = "text/html"
    ///Icon format
    case ico = "image/x-icon"
    ///iCalendar format
    case ics = "text/calendar"
    ///Java Archive (JAR)
    case jar = "application/java-archive"
    ///JPEG images
    case jpg = "image/jpeg"
    ///JavaScript (ECMAScript)
    case js = "application/javascript"
    ///JSON format
    case json = "application/json"
    ///Musical Instrument Digital Interface (MIDI)
    case midi = "audio/midi"
    ///MPEG Video
    case mpeg = "video/mpeg"
    ///Apple Installer Package
    case mpkg = "application/vnd.apple.installer+xml"
    ///OpenDocuemnt presentation document
    case odp = "application/vnd.oasis.opendocument.presentation"
    ///OpenDocuemnt spreadsheet document
    case ods = "application/vnd.oasis.opendocument.spreadsheet"
    ///OpenDocument text document
    case odt = "application/vnd.oasis.opendocument.text"
    ///OGG audio
    case oga = "audio/ogg"
    ///OGG video
    case ogv = "video/ogg"
    ///OGG
    case ogx = "application/ogg"
    ///OpenType font
    case otf = "font/otf"
    ///Portable Network Graphics
    case png = "image/png"
    ///Adobe Portable Document Format (PDF)
    case pdf = "application/pdf"
    ///Microsoft PowerPoint
    case ppt = "application/vnd.ms-powerpoint"
    ///RAR archive
    case rar = "application/x-rar-compressed"
    ///Rich Text Format (RTF)
    case rtf = "application/rtf"
    ///Bourne shell script
    case sh = "application/x-sh"
    ///Scalable Vector Graphics (SVG)
    case svg = "image/svg+xml"
    ///Small web format (SWF) or Adobe Flash document
    case swf = "application/x-shockwave-flash"
    ///Tape Archive (TAR)
    case tar = "application/x-tar"
    ///Tagged Image File Format (TIFF)
    case tiff = "image/tiff"
    ///Typescript file
    case ts = "video/vnd.dlna.mpeg-tts"
    ///TrueType Font
    case ttf = "font/ttf"
    ///Microsoft Visio
    case vsd = "application/vnd.visio"
    ///Waveform Audio Format
    case wav = "audio/x-wav"
    ///WEBM audio
    case weba = "audio/webm"
    ///WEBM video
    case webm = "video/webm"
    ///WEBP image
    case webp = "image/webp"
    ///Web Open Font Format (WOFF)
    case woff = "font/woff"
    ///Web Open Font Format (WOFF)
    case woff2 = "font/woff2"
    ///XHTML
    case xhtml = "application/xhtml+xml"
    ///Microsoft Excel
    case xls = "application/vnd.ms-excel"
    ///XML
    case xml = "application/xml"
    ///XUL
    case xul = "application/vnd.mozilla.xul+xml"
    ///ZIP archive
    case zip = "application/zip"
}
